﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr83_1
{
    // Описание класса: 
    class MyClass {
        // Закрытое целочисленное поле: 
        private int number;
        // Закрытое символьное поле: 
        private char symbol;
        // Открытый метод для отображения значения полей:
        public void show() {
            Console.WriteLine("Поля объекта: " + number + " и " +symbol);
        }
        
        // Открытый метод для присваивания значений полям.
        // Версия с двумя аргументами: 
        public void set(int n, char s) {
            // Значение целочисленного поля
            number = n;
            // Значение символьного поля
            symbol = s; 
        }
        
        // Открытый метод для присваивания значений полям.
        // Версия с одним целочисленным аргументом: 
        public void set(int n) {
            number = n;	  // Значение целочисленного поля
            symbol = 'B'; // Значение символьного поля
        }

        // Открытый метод для присваивания значений полям.
        // Версия без аргументов: 
        public void set() {
            // Вызов версии метода с двумя аргументами: 
            set(100, 'А');
        }
    }

    // Главный класс:
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Создание объекта:
            MyClass obj = new MyClass();
            // Присваивание значений полям: 
            obj.set();
            // Отображение значений полей: 
            obj.show(); 

            // Присваивание значений полям: 
            obj.set(200);
            // Отображение значений полей: 
            obj.show();
            
            // Присваивание значений полям: 
            obj.set(300, 'C');
            // Отображение значений полей: 
            obj.show();
            // Задержка:
            Console.ReadLine();
        }
    }
}
